Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.xsd2inst
Class SchemaInstanceGenerator.Xsd2InstOptions

    java.lang.Object
      org.apache.xmlbeans.impl.xsd2inst.SchemaInstanceGenerator.Xsd2InstOptions

Enclosing class:
  SchemaInstanceGenerator

    public static class SchemaInstanceGenerator.Xsd2InstOptions

extends java.lang.Object

Constructor Summary
`SchemaInstanceGenerator.Xsd2InstOptions()`

Method Summary
`boolean` | `isNetworkDownloads()`
`boolean` | `isNopvr()`
`boolean` | `isNoupa()`
`void` | `setNetworkDownloads(boolean downloads)` set true to allow network downloads, false othervise
`void` | `setNopvr(boolean nopvr)` set true to disable particle valid (restriction) rule, false othervise
`void` | `setNoupa(boolean noupa)` set true to disable unique particle attribution rule, false othervise

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaInstanceGenerator.Xsd2InstOptions

    public SchemaInstanceGenerator.Xsd2InstOptions()

Method Detail

### isNetworkDownloads

    public boolean isNetworkDownloads()

  Returns:
    true if network downloads are allowed, false othervise Default is false.

### setNetworkDownloads

    public void setNetworkDownloads(boolean downloads)

  set true to allow network downloads, false othervise

### isNopvr

    public boolean isNopvr()

  Returns:
    true to disable particle valid (restriction) rule, false othervise Default is false.

### setNopvr

    public void setNopvr(boolean nopvr)

  set true to disable particle valid (restriction) rule, false othervise

### isNoupa

    public boolean isNoupa()

  Returns:
    true to disable unique particle attribution rule, false othervise Default is false.

### setNoupa

    public void setNoupa(boolean noupa)

  set true to disable unique particle attribution rule, false othervise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD